# hey Emacs, its -*- mode: rpm-spec; coding: cyrillic-cp1251; -*-
# $Id: xfsprogs,v 1.4 2003/05/20 12:34:43 ab Exp $

%define lib_name_orig libxfs
%define lib_major 0
%define lib_name %lib_name_orig%lib_major

Name: xfsprogs
Version: 2.3.9
Release: alt3

Summary: Utilities for managing the XFS filesystem
License: GPL
Group: System/Kernel and hardware
Url: http://oss.sgi.com/projects/xfs/
Packager: Alexander Bokovoy <ab@altlinux.ru>

Source: %name-%version.src.tar.bz2

Requires: libxfs = %version-%release

BuildPreReq: libtool = 1.4.3, rpm-build >= 4.0.4-alt10

# makefiles are buggy
BuildConflicts: libxfs-devel

# Automatically added by buildreq on Wed Aug 13 2003
BuildRequires: XFree86-devel libe2fs-devel-static

%description
XFS is a high performance journaling filesystem which originated
on the SGI IRIX platform.  It is completely multi-threaded, can
support large files and large filesystems, extended attributes,
variable block sizes, is extent based, and makes extensive use of
Btrees (directories, extents, free space) to aid both performance
and scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/
for complete details.  This implementation is on-disk compatible
with the IRIX version of XFS.

This package contains a set of commands to use the XFS filesystem,
including mkfs.xfs.

%package -n libxfs
Summary: Main library for %lib_name_orig
Group: System/Libraries

%description -n libxfs
This package contains the library needed to run programs dynamically
linked with libxfs.

%package -n libxfs-devel
Summary: XFS filesystem-specific static libraries and headers
Group: Development/C
Requires: libxfs = %version-%release

%description -n libxfs-devel
libxfs-devel contains the libraries and header files needed to
develop XFS filesystem-specific programs.

You should install libxfs-devel if you want to develop XFS
filesystem-specific programs, If you install libxfs-devel, you'll
also want to install xfsprogs.

%package -n libxfs-devel-static
Summary: XFS filesystem-specific static libraries and headers
Group: Development/C
Requires: libxfs-devel = %version-%release

%description -n libxfs-devel-static
libxfs-devel-static contains the static libraries needed to
develop XFS filesystem-specific programs.

You should install libxfs-devel-static if you want to develop XFS
filesystem-specific programs.

If you install libxfs-devel-static, you'll also want to install xfsprogs.

%prep
%setup -q

%build
%set_libtool_version 1.4
export DEBUG="-DNDEBUG"
autoconf
%configure --sbindir=/sbin --bindir=/usr/sbin
%make_build

%install
make install install-dev DIST_ROOT=$RPM_BUILD_ROOT

# Workaround bug in makefiles
%__rm -f $RPM_BUILD_ROOT%_libdir/*.{so,*a}
%__install -p -m644 */.libs/*.a $RPM_BUILD_ROOT%_libdir/

# Relocate shared libraries from %_libdir/ to /lib/.
%__mkdir_p $RPM_BUILD_ROOT/lib
%__mv $RPM_BUILD_ROOT%_libdir/*.so.* $RPM_BUILD_ROOT/lib/
%__chmod 644 $RPM_BUILD_ROOT/lib/*
for f in */.libs/*.so; do
	t=`objdump -p "$f" |awk '/SONAME/ {print $2}'`
	[ -n "$t" ]
	%__ln_s -nf ../../lib/"$t" "$RPM_BUILD_ROOT%_libdir/${f##*/}"
done

%post -n libxfs -p %post_ldconfig
%postun -n libxfs -p %postun_ldconfig

%files
/sbin/*
%_sbindir/*
%_mandir/man[85]/*
%doc doc/CHANGES doc/CREDITS README doc/README.LVM doc/README.quota

%files -n libxfs
/lib/*.so.*

%files -n libxfs-devel
%_libdir/*.so
%_includedir/*
%_man3dir/*

%files -n libxfs-devel-static
%_libdir/*.a

%changelog
* Thu Aug 21 2003 Dmitry V. Levin <ldv@altlinux.org> 2.3.9-alt3
- Explicitly use old libtool for build.

* Wed Aug 13 2003 Dmitry V. Levin <ldv@altlinux.org> 2.3.9-alt2
- Removed explicit kernel dependencies.
- Corrected interpackage dependencies.
- Updated build dependencies.
- Fixed -devel packaging.
- Specfile cleanup.

* Tue May 20 2003 Alexander Bokovoy <ab@altlinux.ru> 2.3.9-alt1
- 2.3.9, changed maintainer
- Updated buildrequires
- Removed outdated patches
- Spec clean up

* Fri Dec 27 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.6-alt1
- 2.0.6
- Fixed buildrequires

* Wed Apr 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.1-alt0.1cvs
- CVS version

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.3.13-alt1
- 1.3.13

* Wed Oct 31 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.3.7-alt1
- 1.3.7

* Thu Sep 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.3.5-alt1
- First build for Sisyphus

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.5-2mdk
- Fix provides.

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.5-1mdk
- 1.3.5.
- Split lib in subpackage.
- Rework the spec.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.0-1mdk
- Fist attempt based on the SGI spec.
